Updated from global requirements

Change-Id: I595defd4531485f5cb4fa6ebf35abbf01b338970
parent 62928318
......@@ -3,12 +3,12 @@
# process, which may cause wedges in the gate later.
retrying!=1.3.0,>=1.2.3 # Apache-2.0
jsonpath-rw-ext>=0.1.9
jsonschema!=2.5.0,<3.0.0,>=2.0.0
jsonpath-rw-ext>=0.1.9 # Apache-2.0
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
kafka-python>=0.9.2 # Apache-2.0
keystonemiddleware>=4.0.0
lxml>=2.3
msgpack-python>=0.4.0
keystonemiddleware>=4.0.0 # Apache-2.0
lxml>=2.3 # BSD
msgpack-python>=0.4.0 # Apache-2.0
oslo.context>=0.2.0 # Apache-2.0
oslo.db>=4.1.0 # Apache-2.0
oslo.concurrency>=2.3.0 # Apache-2.0
......@@ -19,32 +19,32 @@ oslo.policy>=0.5.0 # Apache-2.0
oslo.reports>=0.6.0 # Apache-2.0
oslo.rootwrap>=2.0.0 # Apache-2.0
oslo.service>=1.0.0 # Apache-2.0
PasteDeploy>=1.5.0
pbr>=1.6
pecan>=1.0.0
PasteDeploy>=1.5.0 # MIT
pbr>=1.6 # Apache-2.0
pecan>=1.0.0 # BSD
oslo.messaging!=2.8.0,!=3.1.0,>2.6.1 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.2.0 # Apache-2.0
pysnmp<5.0.0,>=4.2.3
python-ceilometerclient>=2.0.0
python-glanceclient>=1.2.0
python-keystoneclient!=1.8.0,>=1.6.0
keystoneauth1>=2.1.0
python-neutronclient>=2.6.0
python-novaclient!=2.33.0,>=2.29.0
python-swiftclient>=2.2.0
pytz>=2013.6
PyYAML>=3.1.0
requests!=2.9.0,>=2.8.1
six>=1.9.0
SQLAlchemy<1.1.0,>=1.0.10
sqlalchemy-migrate>=0.9.6
oslo.utils>=3.4.0 # Apache-2.0
pysnmp<5.0.0,>=4.2.3 # BSD
python-ceilometerclient>=2.2.1 # Apache-2.0
python-glanceclient>=1.2.0 # Apache-2.0
python-keystoneclient!=1.8.0,>=1.6.0 # Apache-2.0
keystoneauth1>=2.1.0 # Apache-2.0
python-neutronclient>=2.6.0 # Apache-2.0
python-novaclient!=2.33.0,>=2.29.0 # Apache-2.0
python-swiftclient>=2.2.0 # Apache-2.0
pytz>=2013.6 # MIT
PyYAML>=3.1.0 # MIT
requests!=2.9.0,>=2.8.1 # Apache-2.0
six>=1.9.0 # MIT
SQLAlchemy<1.1.0,>=1.0.10 # MIT
sqlalchemy-migrate>=0.9.6 # Apache-2.0
stevedore>=1.5.0 # Apache-2.0
tooz>=1.28.0 # Apache-2.0
Werkzeug>=0.7 # BSD License
WebOb>=1.2.3
WSME>=0.8
WebOb>=1.2.3 # MIT
WSME>=0.8 # MIT
# NOTE(jd) We do not import it directly, but WSME datetime string parsing
# behaviour changes when this library is installed
python-dateutil>=2.4.2
python-dateutil>=2.4.2 # BSD
......@@ -4,14 +4,14 @@
# Hacking already pins down pep8, pyflakes and flake8
hacking<0.11,>=0.10.0
Babel>=1.3
Babel>=1.3 # BSD
contextlib2>=0.4.0 # PSF License
coverage>=3.6
elasticsearch<2.0,>=1.3.0
fixtures>=1.3.1
happybase!=0.7,>=0.5;python_version=='2.7'
httplib2>=0.7.5
mock>=1.2
coverage>=3.6 # Apache-2.0
elasticsearch<2.0,>=1.3.0 # Apache-2.0
fixtures>=1.3.1 # Apache-2.0/BSD
happybase!=0.7,>=0.5;python_version=='2.7' # MIT
httplib2>=0.7.5 # MIT
mock>=1.2 # BSD
PyMySQL>=0.6.2 # MIT License
oslo.cache>=0.8.0 # Apache-2.0
# Docs Requirements
......@@ -19,18 +19,18 @@ oslosphinx!=3.4.0,>=2.5.0 # Apache-2.0
reno>=0.1.1 # Apache2
oslotest>=1.10.0 # Apache-2.0
oslo.vmware>=1.16.0 # Apache-2.0
psycopg2>=2.5
psycopg2>=2.5 # LGPL/ZPL
pylint==1.4.5 # GNU GPL v2
pymongo>=3.0.2
gnocchiclient>=2.1.0
python-subunit>=0.0.18
sphinx!=1.2.0,!=1.3b1,<1.3,>=1.1.2
sphinxcontrib-httpdomain
sphinxcontrib-pecanwsme>=0.8
testrepository>=0.0.18
testscenarios>=0.4
testtools>=1.4.0
pymongo>=3.0.2 # Apache-2.0
gnocchiclient>=2.1.0 # Apache-2.0
python-subunit>=0.0.18 # Apache-2.0/BSD
sphinx!=1.2.0,!=1.3b1,<1.3,>=1.1.2 # BSD
sphinxcontrib-httpdomain # BSD
sphinxcontrib-pecanwsme>=0.8 # Apache-2.0
testrepository>=0.0.18 # Apache-2.0/BSD
testscenarios>=0.4 # Apache-2.0/BSD
testtools>=1.4.0 # MIT
gabbi>=1.11.0 # Apache-2.0
requests-aws>=0.1.4 # BSD License (3 clause)
tempest-lib>=0.12.0
WebTest>=2.0
tempest-lib>=0.13.0 # Apache-2.0
WebTest>=2.0 # MIT
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment